summaryrefslogtreecommitdiffstats
path: root/multimedia/openh264
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/openh264')
-rw-r--r--multimedia/openh264/README4
-rw-r--r--multimedia/openh264/changelog22
-rw-r--r--multimedia/openh264/openh264.SlackBuild104
-rw-r--r--multimedia/openh264/openh264.info10
-rw-r--r--multimedia/openh264/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/multimedia/openh264/README b/multimedia/openh264/README
new file mode 100644
index 0000000000..8513923e9c
--- /dev/null
+++ b/multimedia/openh264/README
@@ -0,0 +1,4 @@
+Openh264 is a H.264 library supports encoding and
+decoding in realtime applications such as webRTC
+
+This is an optional dependency of FFmpeg
diff --git a/multimedia/openh264/changelog b/multimedia/openh264/changelog
new file mode 100644
index 0000000000..89bc471494
--- /dev/null
+++ b/multimedia/openh264/changelog
@@ -0,0 +1,22 @@
+Changelog for openh264 SlackBuild Script
+--------------------------------------------------------------------
+
+03/09/2022:
+
+Added to slackbuilds.org
+
+07/01/2023:
+
+Github tarball handling was fixed by Andrew Clemmons
+
+18/02/2023:
+
+openh264 slackbuild script fixed by B.Watson
+
+17/05/2023:
+
+updated to version 2.3.1
+
+13/02/2024:
+
+updated to version 2.4.1
diff --git a/multimedia/openh264/openh264.SlackBuild b/multimedia/openh264/openh264.SlackBuild
new file mode 100644
index 0000000000..5d1a5960de
--- /dev/null
+++ b/multimedia/openh264/openh264.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for openh264
+
+# Copyright 2022-2024 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=openh264
+VERSION=${VERSION:-2.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-march=x86-64 -mtune=generic -pipe -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+make -C $TMP/$PRGNAM-$VERSION PREFIX="/usr" LIBDIR_NAME="lib${LIBDIRSUFFIX}" SHAREDLIB_DIR="/usr/lib${LIBDIRSUFFIX}"
+make DESTDIR="$PKG" PREFIX="/usr" LIBDIR_NAME="lib${LIBDIRSUFFIX}" SHAREDLIB_DIR="/usr/lib${LIBDIRSUFFIX}" install
+
+make OS=linux ARCH=$ARCH
+install -Dm755 h264dec $PKG/usr/bin/h264dec
+install -Dm755 h264enc $PKG/usr/bin/h264enc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CODING_STYLE LICENSE CONTRIBUTORS RELEASES *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/openh264/openh264.info b/multimedia/openh264/openh264.info
new file mode 100644
index 0000000000..023b1f3dee
--- /dev/null
+++ b/multimedia/openh264/openh264.info
@@ -0,0 +1,10 @@
+PRGNAM="openh264"
+VERSION="2.4.1"
+HOMEPAGE="https://github.com/cisco/openh264"
+DOWNLOAD="https://github.com/cisco/openh264/archive/v2.4.1/openh264-2.4.1.tar.gz"
+MD5SUM="08396d6c467f7ae063d40b3a378870b0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/multimedia/openh264/slack-desc b/multimedia/openh264/slack-desc
new file mode 100644
index 0000000000..d490a12df4
--- /dev/null
+++ b/multimedia/openh264/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openh264: openh264 (H.264 Encoder and Decoder)
+openh264:
+openh264: Openh264 is a H.264 library that supports both encoding
+openh264: and decoding. It is suitable for realtime applications
+openh264: such as WebRTC.
+openh264:
+openh264:
+openh264: Homepage: https://github.com/cisco/openh264
+openh264:
+openh264:
+openh264: